Bug 711555 - Cannot install gnome-applet-sshmenu on Fedora 15
Summary: Cannot install gnome-applet-sshmenu on Fedora 15
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: sshmenu
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Saou
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-07 18:59 UTC by Chris Siebenmann
Modified: 2012-08-07 19:57 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 19:57:31 UTC
Type: ---


Attachments (Terms of Use)

Description Chris Siebenmann 2011-06-07 18:59:04 UTC
Description of problem:
You cannot install gnome-applet-sshmenu on Fedora 15 because of an unmet
dependency; it depends on 'ruby(panelapplet2)', which is not provided in
Fedora 15.

(In Fedora 14 it was provided through the ruby-panelapplet2 RPM,
which is built from ruby-gnome2.)

It should be noted that this prevents Fedora 14 machines with
gnome-applet-sshmenu installed from being upgraded via yum to
Fedora 15; the missing dependency forces yum to try to keep the
F14 ruby-panelapplet2 RPM around, which holds down a bunch of
other Ruby stuff that conflicts violently with Fedora 15 Ruby
things.

Version-Release number of selected component (if applicable):

yum list gnome-applet-sshmenu says gnome-applet-sshmenu.noarch
version 3.18-3.fc15 is available in the fedora repository.

How reproducible:
100%.

Steps to Reproduce:
1. 'yum install gnome-applet-sshmenu'

Actual results:
[...]
--> Finished Dependency Resolution
Error: Package: gnome-applet-sshmenu-3.18-3.fc15.noarch (fedora)
           Requires: ruby(panelapplet2)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest


Expected results:
gnome-applet-sshmenu being installed.

Additional info:
It's possible that the necessary dependencies can't be met any more
because of the Gnome 2 to Gnome 3 migration; if so, at least the sshmenu
applet should be pulled from the Fedora 15 repository. Ideally it would
be possible to build ruby-panelapplet2 for Fedora 15.

Okay, looking at the changelog for ruby-gnome2 on F15 I see that
panelapplet2 doesn't build under Gnome 3. In that case I think that
sshmenu needs to be removed from Fedora 15.

Comment 1 Didier 2011-06-10 13:19:15 UTC
Why removing sshmenu from F15, when gnome-applet-sshmenu is the real culprit ?

Agreed, usability of ssmenu has somewhat degraded in the absence of its applet functionality (thanks, Gnome Shell), but it is IMHO one of the best ssh session management applications.

Comment 2 Chris Siebenmann 2011-06-10 14:47:40 UTC
You're right. sshmenu as a whole still has useful functionality, so I
think the correct fix is to change the sshmenu source RPM to no longer
build the gnome-applet-sshmenu binary RPM (and then remove the existing
gnome-applet-sshmenu binary RPM from the system).

(I always forget that sshmenu is more than the applet, which is my error.)

Comment 3 Per Arnold Blåsmo 2011-06-27 19:41:23 UTC
The only thing that is broken is the applet. The sshmenu-gnome program still works and could be included. sshmenu-gnome make sshemenu use gnome-terminal instead of xterm.

Comment 4 Matthias Saou 2011-07-09 19:06:44 UTC
I've just pushed an updated package with the entire gnome-applet-sshmenu package removed, meaning the sshmenu-gnome command is gone too. I hadn't looked into it, but if what it does is just use gnome-terminal instead of xterm then it makes sense to keep it in the main package. I'll test it and probably push another update including it in the main package.

Comment 5 Per Arnold Blåsmo 2011-07-13 05:33:24 UTC
I can verify that the sshmenu-gnome now is a part of the main package and that it works as expected on Fedora 15.

Comment 6 Didier 2011-07-14 11:31:48 UTC
Works fine ; thanks, Matthias.

Comment 7 Stefano C 2011-11-22 23:57:59 UTC
I have implemented a clone of sshmenu working on Gnome Shell.

Here the code: https://github.com/sciancio/connectionmanager

Comment 8 Per Arnold Blåsmo 2011-11-23 08:53:26 UTC
(In reply to comment #7)
> I have implemented a clone of sshmenu working on Gnome Shell.
> 
> Here the code: https://github.com/sciancio/connectionmanager

Great! Just what the doctor prescribed :-)

Is it able to read/import the config file from sshmenu?

Comment 9 Per Arnold Blåsmo 2011-11-23 08:55:34 UTC
BTW, I think this bug can be closed. The ssh-menu works with f15 and f16 now. So this bug is fixed ad verified.

Comment 10 Fedora End Of Life 2012-08-07 19:57:34 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.